Robotsystem from Robot Group Leipzig: AbstractComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# AbstractComponent Class Reference

`#include <component2.h>`

Inheritance diagram for AbstractComponent:

[legend]
Collaboration diagram for AbstractComponent:

[legend]
List of all members.

## Detailed Description

AbstractComponent.

Definition at line 121 of file component2.h.

## Public Member Functions
| AbstractComponent (OdeHandle &r_ode_handle)
virtual | ~AbstractComponent ()
virtual unsigned | get_sub_component_count () const
virtual IComponent & | get_sub_component (unsigned index) const
virtual unsigned | expose_wires (WireContainer &r_wire_set)
virtual const IComponent * | does_contain_geom (const dGeomID geom_id, bool b_recursive) const
paramkey | getName () const
virtual paramlist | getParamList () const
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
## Protected Attributes
OdeHandle | ode_handle

## Constructor & Destructor Documentation

AbstractComponent | ( | OdeHandle & | r_ode_handle | ) |

| Definition at line 44 of file component.cpp.

~AbstractComponent | ( |  | ) | `[virtual]`

| Definition at line 50 of file component.cpp.

## Member Function Documentation

const IComponent * does_contain_geom | ( | const dGeomID | geom_id,
|  | bool | b_recursive
| ) | const`[virtual]`

| Reimplemented in AbstractCompoundComponent, SimplePhysicalComponent, and CCURobotArmComponent. Definition at line 78 of file component.cpp.

unsigned expose_wires | ( | WireContainer & | r_wire_set | ) | `[virtual]`

| Reimplemented in AbstractCompoundComponent, and UniversalMotorComponent. Definition at line 71 of file component.cpp.

IComponent & get_sub_component | ( | unsigned | index | ) | const`[virtual]`

| Reimplemented in AbstractCompoundComponent. Definition at line 61 of file component.cpp.

unsigned get_sub_component_count | ( |  | ) | const`[virtual]`

| Reimplemented in AbstractCompoundComponent. Definition at line 55 of file component.cpp.

Configurable::paramkey getName | ( |  | ) | const

| Definition at line 84 of file component.cpp.

Configurable::paramval getParam | ( | const paramkey & | key | ) | const`[virtual]`

| Reimplemented in AbstractCompoundComponent, and UniversalMotorComponent. Definition at line 99 of file component.cpp.

Configurable::paramlist getParamList | ( |  | ) | const`[virtual]`

| Reimplemented in AbstractCompoundComponent, and UniversalMotorComponent. Definition at line 90 of file component.cpp.

bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[virtual]`

| Reimplemented in AbstractCompoundComponent, and UniversalMotorComponent. Definition at line 105 of file component.cpp.

## Member Data Documentation

OdeHandle ode_handle`[protected]`

| Definition at line 123 of file component2.h.